/*
  Common.h - Declarations for functions imported from Common.dll.

  Jason Hood, 28 January, 2013.
*/

#ifndef _COMMON_H
#define _COMMON_H

#pragma comment( lib, "Common.lib" )

#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#include <list>

#define EXTERN __declspec(dllimport)


UINT EXTERN CreateID( LPCSTR );


class EXTERN INI_Reader
{
public:
	 INI_Reader();
	~INI_Reader();
  UINT	 get_num_parameters() const;
  int	 get_value_int( UINT );
  LPCSTR get_value_string( UINT );
  LPCSTR get_value_string();
  bool	 is_header( LPCSTR );
  bool	 is_value( LPCSTR );
  bool	 open( LPCSTR, bool = false );
  bool	 read_header();
  bool	 read_value();

private:
  BYTE	 data[0x1568];
};


struct EquipDesc
{
  BYTE	 b1;		// ?
  USHORT sID;
  UINT	 iArchID;
  LPSTR  szHardPoint;	// CacheString
  bool	 bMounted;
  float  fHealth;
  UINT	 iCount;
  bool	 bMission;	// temporary
  int	 iOwner;
};


class EquipDescList
{
public:
  std::list<EquipDesc> equip;
};


#endif
